Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app
Class IllegalChildException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  nextapp.echo2.app.IllegalChildException

All Implemented Interfaces:
  java.io.Serializable

    public class IllegalChildException

extends java.lang.RuntimeException

An exception thrown when attempting to add a child to the component hierarchy where either the parent is incompatible with the child or the child is incompatible with the parent. This exception may be thrown in cases such as attempting to add children to a component that does not support children (e.g., a `Label`), or adding too many children to an object (e.g., adding more than two children to a `SplitPane`.

See Also:
  Serialized Form

Constructor Summary
`protected` | `IllegalChildException(Component parent, Component illegalChild)` Creates a new `IllegalChildException`.

Method Summary
`Component` | `getIllegalChild()` Returns the illegally added child.
`Component` | `getParent()` Returns the parent component to which the child was to be added.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalChildException

    protected IllegalChildException(Component parent,
                                    Component illegalChild)

  Creates a new `IllegalChildException`.

  Parameters:
    `parent` - the parent component
    `illegalChild` - the child that was attempted to be illegally added

Method Detail

### getIllegalChild

    public Component getIllegalChild()

  Returns the illegally added child.

  Returns:
    the child

### getParent

    public Component getParent()

  Returns the parent component to which the child was to be added.

  Returns:
    the parent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD